import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;

public class IFixInstaller {

	public IFixInstaller() {
	}

	public void run(String as[]) throws Exception {
		String installDir = as[0];
		String pyFile = as[1];
		
		char c = '\\';
		String templatePath = (new StringBuilder(installDir).append(c).append(
				"runtimes").append(c).append("bi_v62").append(c).append(
				"profileTemplates").append(c).append("WBSFabric")).toString();
		
		String binDir = (new StringBuilder(installDir).append(c).append("pf")
				.append(c).append("WBSFabric").append(c).append("bin"))
				.toString();

		
		String batFile = (new StringBuilder(installDir).append(c).append("pf")
				.append(c).append("WBSFabric").append(c).append("bin").append(c).append("wsadmin.bat")).toString();
		
		String commandStr[] = { batFile, "-user", "admin", "-password", "admin",
				"-profileName", "WBSFabric", "-connType", "NONE", "-f", pyFile,
				"-fabricTemplatePath", templatePath,"-toolsUserId", "admin" };
		
		ProcessBuilder processbuilder = new ProcessBuilder(commandStr);
		processbuilder.directory(new File(binDir));
		Process process;
	
			process = processbuilder.start();
		
		java.io.InputStream inputstream = process.getInputStream();
		InputStreamReader inputstreamreader = new InputStreamReader(inputstream);
		BufferedReader bufferedreader = new BufferedReader(inputstreamreader);
		
		String s1;
		
		 while((s1 = bufferedreader.readLine()) != null){
		  System.out.println(s1);
		  if(s1.contains("Error"))
			  throw new Exception(s1);
		 }
		process.waitFor();
		if (process.exitValue() != 0) {
			throw new Exception("Error occured.");
		}
		process.destroy();
		
	}
	
	public static void main(String[] args) throws Exception  {
		new IFixInstaller().run(args);
	}
}
